org.apache.avro.io

## Class FastReaderBuilder.MapReader

- java.lang.Object
- - org.apache.avro.io.FastReaderBuilder.MapReader

All Implemented Interfaces:
  DatumReader<Object>, FastReaderBuilder.FieldReader

Enclosing class:
  FastReaderBuilder

    public static class FastReaderBuilder.MapReader
    extends Object
    implements FastReaderBuilder.FieldReader

### Constructor Summary

Constructors
Constructor and Description
`MapReader(FastReaderBuilder.FieldReader keyReader, FastReaderBuilder.FieldReader valueReader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `read(Object reuse, Decoder decoder)` Read a datum.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.avro.io.FastReaderBuilder.FieldReader

`canReuse, setSchema`

### Constructor Detail

#### MapReader

    public MapReader(FastReaderBuilder.FieldReader keyReader,
                     FastReaderBuilder.FieldReader valueReader)

### Method Detail

#### read

    public Object read(Object reuse,
                       Decoder decoder)
                throws IOException

Description copied from interface: `DatumReader`
Read a datum. Traverse the schema, depth-first, reading all leaf values in the schema into a datum that is returned. If the provided datum is non-null it may be reused and returned.

Specified by:
  `read` in interface `DatumReader<Object>`
Specified by:
  `read` in interface `FastReaderBuilder.FieldReader`
Throws:
  `IOException`